# Custom Report Module

A Drupal module that provides detailed reporting on the site's structure, including:

1. **Core Changes** - Lists all modified core files with their paths and modification dates
2. **Custom Modules** - Displays all custom modules with their details
3. **Custom Themes** - Shows all custom themes with their details

## Features

- **Core Changes Report**: Identifies which core files have been modified from their original state
- **Custom Modules Report**: Lists all custom modules with their details, paths, and status
- **Custom Themes Report**: Lists all custom themes with their details, paths, and status
- **Clean, Tabular Display**: Report data is presented in an easy-to-read format

## Requirements

- Drupal 9.x or 10.x or 11.x
- Access to the file system

## Installation

1. Place the module in your site's `/web/modules/custom` directory
2. Enable the module through the Drupal UI (`/admin/modules`) or using Drush (`drush en custom_report`)

## Usage

1. Access the report at: `/admin/reports/custom-report`
2. Users need the "Access custom reports" permission to view the report
3. Administrators need the "Administer custom reports" permission for full access

## Permissions

- **Access custom reports**: Allows users to view the custom reports
- **Administer custom reports**: Gives users full access to report configuration

## Notes

- The Core Changes detector works best with Git-based installations
- For non-Git installations, a warning will be displayed, as changes are harder to detect accurately

## Maintainers

- Developed and maintained by your site administrators
